discovery  v1
Public Member Functions | Static Public Member Functions | List of all members
google_discovery_api::RestMethod::RestMethodResponse Class Reference

#include <rest_method.h>

Inheritance diagram for google_discovery_api::RestMethod::RestMethodResponse:

Public Member Functions

 RestMethodResponse (const Json::Value &storage)
 
 RestMethodResponse (Json::Value *storage)
 
virtual ~RestMethodResponse ()
 
const StringPiece GetTypeName () const
 
bool has_ref () const
 
void clear_ref ()
 
const StringPiece get_ref () const
 
void set_ref (const StringPiece &value)
 

Static Public Member Functions

static RestMethodResponseNew ()
 

Detailed Description

The schema for the response.

Constructor & Destructor Documentation

◆ RestMethodResponse() [1/2]

google_discovery_api::RestMethod::RestMethodResponse::RestMethodResponse ( const Json::Value &  storage)
explicit

Standard constructor for an immutable data object instance.

Parameters
[in]storageThe underlying data storage for this instance.

◆ RestMethodResponse() [2/2]

google_discovery_api::RestMethod::RestMethodResponse::RestMethodResponse ( Json::Value *  storage)
explicit

Standard constructor for a mutable data object instance.

Parameters
[in]storageThe underlying data storage for this instance.

◆ ~RestMethodResponse()

google_discovery_api::RestMethod::RestMethodResponse::~RestMethodResponse ( )
virtual

Standard destructor.

Member Function Documentation

◆ clear_ref()

void google_discovery_api::RestMethod::RestMethodResponse::clear_ref ( )
inline

Clears the '$ref' attribute.

◆ get_ref()

const StringPiece google_discovery_api::RestMethod::RestMethodResponse::get_ref ( ) const
inline

Get the value of the '$ref' attribute.

◆ GetTypeName()

const StringPiece google_discovery_api::RestMethod::RestMethodResponse::GetTypeName ( ) const
inline

Returns a string denoting the type of this data object.

Returns
google_discovery_api::RestMethodResponse

◆ has_ref()

bool google_discovery_api::RestMethod::RestMethodResponse::has_ref ( ) const
inline

Determine if the '$ref' attribute was set.

Returns
true if the '$ref' attribute was set.

◆ New()

RestMethod::RestMethodResponse * google_discovery_api::RestMethod::RestMethodResponse::New ( )
static

Creates a new default instance.

Returns
Ownership is passed back to the caller.

◆ set_ref()

void google_discovery_api::RestMethod::RestMethodResponse::set_ref ( const StringPiece &  value)
inline

Change the '$ref' attribute.

Schema ID for the response schema.

Parameters
[in]valueThe new value.

The documentation for this class was generated from the following files: